# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
#!/bin/bash

EAPI=2

inherit java-utils-2

DESCRIPTION="The Google Collections Library"
HOMEPAGE="http://google-collections.googlecode.com"
MY_PV="${PV/_/-}"
SRC_URI="http://google-collections.googlecode.com/files/google-collect-${MY_PV}.zip"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="doc"

CDEPEND=">=dev-java/jsr305-1.0_pre20071125"

DEPEND="${CDEPEND}
	>=virtual/jdk-1.6"
RDEPEND="${CDEPEND}
	>=virtual/jre-1.6"

S="${WORKDIR}/${PN}-${MY_PV}"

src_unpack() {
	unpack "${A}"
	cd ${PN}-${MY_PV}
	unzip src-${MY_PV}.zip || die "unzip failed"
	cd "${S}"
}

src_prepare() {
	java-pkg_jar-from jsr305 jsr305.jar
}

src_compile() {
	javac -cp jsr305.jar `find ./ -name '*.java'` || die "javac failed"
	jar cf ${PN}.jar `find ./ -name '*.class'` || die "jar failed"
}

src_install() {
	java-pkg_dojar ${PN}.jar
	use doc && java-pkg_dojavadoc javadoc
}
